#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

ExcludeArch:    armv5tl

Summary:        Mail importer library
Name:           mailimporter
Version: 16.12.3
Epoch:          2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5AkonadiMime)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Libkdepim) >= 5.3.0
BuildRequires:  cmake(KF5AkonadiContact)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5CalendarCore)

%description
Mail importer library.

%files
%_kf5_sysconfdir/xdg/mailimporter.categories
%_kf5_sysconfdir/xdg/mailimporter.renamecategories

#--------------------------------------------------------------------

%define kf5mailimporter_major 5
%define libkf5mailimporter %mklibname kf5mailimporter %{kf5mailimporter_major}

%package -n %libkf5mailimporter
Summary:      Mail importer library
Group:        System/Libraries

%description -n %libkf5mailimporter
Mail importer library.

%files -n %libkf5mailimporter
%_kf5_libdir/libKF5MailImporter.so.%{kf5mailimporter_major}*

#--------------------------------------------------------------------

%define kf5mailimporter_devel %mklibname kf5mailimporter -d

%package -n %kf5mailimporter_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %epoch:%version-%release
Requires:       %libkf5mailimporter = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf5mailimporter_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5mailimporter_devel
%_kf5_includedir/MailImporter
%_kf5_includedir/mailimporter
%_kf5_includedir/mailimporter_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5MailImporter
%_qt5_prefix/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang --all %{name}5



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090159
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076901
- New version 16.12.0

* Fri Dec 09 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1073770
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067413
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061476
- New version 16.08.2

* Fri Sep 23 2016 neoclust <neoclust> 2:16.08.1-2.mga6
+ Revision: 1055474
- Do not build on armv5tl

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050739
- New version 16.08.1

* Tue Aug 23 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1048063
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040142
- New version 16.04.3
- New version 16.04.2

* Thu May 12 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1013930
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004420
- New version 16.04.0

* Fri Apr 01 2016 neoclust <neoclust> 2:16.03.80-2.mga6
+ Revision: 997276
- Fix wrong require on %%name

* Fri Apr 01 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 997275
- imported package mailimporter

